package com.fs.live.mapper;

import java.util.List;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.fs.live.domain.LiveGoods;

/**
 * 直播商品Mapper接口
 * 
 * @author fs
 * @date 2025-01-17
 */
public interface LiveGoodsMapper extends BaseMapper<LiveGoods>
{
    /**
     * 查询直播商品
     * 
     * @param goodsId 直播商品主键
     * @return 直播商品
     */
    public LiveGoods selectLiveGoodsByGoodsId(Long goodsId);

    /**
     * 查询直播商品列表
     * 
     * @param liveGoods 直播商品
     * @return 直播商品集合
     */
    public List<LiveGoods> selectLiveGoodsList(LiveGoods liveGoods);

    /**
     * 新增直播商品
     * 
     * @param liveGoods 直播商品
     * @return 结果
     */
    public int insertLiveGoods(LiveGoods liveGoods);

    /**
     * 修改直播商品
     * 
     * @param liveGoods 直播商品
     * @return 结果
     */
    public int updateLiveGoods(LiveGoods liveGoods);

    /**
     * 删除直播商品
     * 
     * @param goodsId 直播商品主键
     * @return 结果
     */
    public int deleteLiveGoodsByGoodsId(Long goodsId);

    /**
     * 批量删除直播商品
     * 
     * @param goodsIds 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteLiveGoodsByGoodsIds(Long[] goodsIds);
}
